#
# spec file for package ktp-text-ui
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%bcond_without lang

Name:           ktp-text-ui
Version:        17.04.2
Release:        1.1
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 16.08 in KA, but 16.11.80 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Telepathy chat handler for KDE
License:        GPL-2.0+
Group:          Productivity/Networking/Instant Messenger
Url:            Real-Time_Communication_and_Collaboration
Source:         %{name}-%{version}.tar.xz
%if 0%{?suse_version} < 1330
# PATCH-FIX-OPENSUSE - revert WebEngine requirement on Leap
Patch0:         0001-Revert-Port-to-QWebEngine.patch
# PATCH-FIX-OPENSUSE - revert Qt requirement on Leap
Patch1:         0001-Revert-Require-Qt-5.7.0.patch
%endif
BuildRequires:  breeze5-icons
BuildRequires:  extra-cmake-modules >= 1.3.0
BuildRequires:  fdupes
BuildRequires:  karchive-devel
BuildRequires:  kcmutils-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdewebkit-devel
BuildRequires:  kemoticons-devel
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kio-devel
BuildRequires:  kitemviews-devel
BuildRequires:  knotifications-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kpeople5-devel
BuildRequires:  kservice-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  ktp-common-internals-devel
BuildRequires:  ktp-icons
BuildRequires:  kwallet-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  oxygen5-icon-theme-large
BuildRequires:  pkgconfig
BuildRequires:  sonnet-devel
BuildRequires:  telepathy-logger-qt5-devel
BuildRequires:  telepathy-qt5-devel
# Leap has only Qt 5.6, the WebEngine version is too old
%if 0%{?suse_version} < 1330
BuildRequires:  pkgconfig(Qt5WebKit)
%else
BuildRequires:  pkgconfig(Qt5WebEngine) >= 5.6.0
%endif
Obsoletes:      %{name}-devel
Obsoletes:      %{name}5 < %{version}
Provides:       %{name}5 = %{version}
# Explicitely require logger, otherwise the ui would crash
Requires:       telepathy-logger
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %ix86 x86_64 %arm aarch64 mips mips64

%description
Includes KDE's implementation of the Telepathy chat handler,
a chat plasmoid, and a chat log viewer application.

%if %{with lang}
%lang_package
%endif

%prep
%setup -q
%if 0%{?suse_version} < 1330
%patch0 -p1
%patch1 -p1
%endif

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %if %{with lang}
    %find_lang %{name} --with-man --all-name
  %endif
  %fdupes -s %{buildroot}
  mkdir -p %{buildroot}%{_kf5_iconsdir}/hicolor/scalable/apps/
  cp %{_kf5_iconsdir}/breeze/apps/48/kde-im-log-viewer.svg %{buildroot}%{_kf5_iconsdir}/hicolor/scalable/apps/

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libktpimagesharer.so*
%{_kf5_libdir}/libktpchat.so*
%{_kf5_libdir}/libexec/ktp-text-ui
%{_kf5_sharedir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.TextUi.service
%{_kf5_sharedir}/telepathy/
%{_kf5_sharedir}/kxmlgui5/ktp-text-ui/
%{_kf5_libdir}/libexec/ktp-adiumxtra-protocol-handler
%{_kf5_sharedir}/ktelepathy/
%{_kf5_bindir}/ktp-log-viewer
%{_kf5_applicationsdir}/*.desktop
%{_kf5_sharedir}/ktp-log-viewer/
%{_kf5_plugindir}/
%{_kf5_servicesdir}/
%{_kf5_servicetypesdir}/
%{_kf5_iconsdir}/hicolor/scalable/apps/kde-im-log-viewer.svg

%if %{with lang}
%files lang -f %{name}.lang
%doc COPYING*
%endif

%changelog
* Wed Jun  7 2017 lbeltrame@kde.org
- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None
* Wed May 17 2017 lbeltrame@kde.org
- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None
* Sun Apr 16 2017 lbeltrame@kde.org
- Update to 17.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.0.php
- Changes since 17.03.90:
  * None
* Sat Apr 15 2017 lbeltrame@kde.org
- Add 0001-Revert-Port-to-QWebEngine.patch: revert QWebEngine
  requirement on Leap, because their Qt version is too old for
  the change
- Add 0001-Revert-Require-Qt-5.7.0.patch: also revert Qt version checks
* Wed Apr 12 2017 lbeltrame@kde.org
- Update to 17.03.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04-rc.php
- Changes since 17.03.80:
  * Require Qt 5.7.0
* Sun Mar 26 2017 lbeltrame@kde.org
- Update to 17.03.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.03.80.php
- Changes since 16.12.3:
  * Port to QWebEngine
* Thu Mar  9 2017 lbeltrame@kde.org
- Update to 16.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-16.12.3.php
- Changes since 16.12.2:
  * None
* Thu Feb  9 2017 lbeltrame@kde.org
- Update to KDE Applications 16.12.2
  * KDE Applications 16.12.2
  * https://www.kde.org/announcements/announce-applications-16.12.2.php
* Sat Jan 14 2017 lbeltrame@kde.org
- - Update to KDE Applications 16.12.1
  * KDE Applications 16.12.1
  * https://www.kde.org/announcements/announce-applications-16.12.1.php
* Tue Dec 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.12.0
  * KDE Applications 16.12.0
  * https://www.kde.org/announcements/announce-applications-16.12.0.php
* Sat Dec  3 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.90
  * KDE Applications 16.12.0 RC
  * https://www.kde.org/announcements/announce-applications-16.12-rc.php
* Tue Nov 29 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.80
  * KDE Applications 16.12.0 Beta
  * https://www.kde.org/announcements/announce-applications-16.12-beta.php
* Wed Nov  9 2016 lbeltrame@kde.org
- Update to KDE Applications 16.08.3
  * KDE Applications 16.08.3
  * https://www.kde.org/announcements/announce-applications-16.08.3.php
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Tue Aug  9 2016 wbauer@tmo.at
- Don't use -a when copying the icon, it may be a symlink to
  breeze-dark which would break if breeze5-icons is not installed
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
- Drop patch fix_desktop.diff. The right icon is in the breeze theme,
  so we just need to copy it to the right place
* Tue Jul 12 2016 wbauer@tmo.at
- Fix copying of oxygen icons
* Fri Jul  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
* Sun Mar 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.3
  * KDE Applications 15.12.3
  * https://www.kde.org/announcements/announce-applications-15.12.3.php
  * boo#970855
* Sat Feb 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.2
  * KDE Applications 15.12.2
  * https://www.kde.org/announcements/announce-applications-15.12.2.php
  * boo#966605
* Sat Jan  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.1
  * KDE Applications 15.12.1
  * https://www.kde.org/announcements/announce-applications-15.12.1.php
  * boo#961265
* Sun Dec 13 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.0
  * KDE Applications 15.12.0
  * https://www.kde.org/announcements/announce-applications-15.12.0.php
  * boo#958887
* Tue Nov 10 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.3
  * KDE Applications 15.08.3
  * https://www.kde.org/announcements/announce-applications-15.08.3.php
  * boo#954531
* Sun Oct 11 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.2
  * KDE Applications 15.08.2
  * https://www.kde.org/announcements/announce-applications-15.08.2.php
* Sun Sep 13 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.1
  * KDE Applications 15.08.1
  * https://www.kde.org/announcements/announce-applications-15.08.1.php
* Wed Aug 19 2015 cgiboudeaux@gmx.com
- Update to KDE Applications 15.08.0
  * KDE Applications 15.08.0
  * https://www.kde.org/announcements/announce-applications-15.08.0.php
* Fri Aug  7 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.07.90
  * KDE Applications 15.08.0 RC1
  * https://www.kde.org/announcements/announce-applications-15.07.90.php
* Mon Jul  6 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.04.3
  * KDE Applications 15.04.3
  * https://www.kde.org/announcements/announce-applications-15.04.3.php
* Mon Jun  1 2015 tchvatal@suse.com
- Sort deps alphabetically
- Require telepathy-logger explicitely to avoid crashes
* Sat May 30 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.04.2
  * KDE Applications 15.04.2
  * https://www.kde.org/announcements/announce-applications-15.04.2.php
* Mon May 11 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.04.1
  * KDE Applications 15.04.1
  * https://www.kde.org/announcements/announce-applications-15.04.1.php
* Sat Apr 11 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.04.0
  * KDE Applications 15.04.0
  * https://www.kde.org/announcements/announce-applications-15.04.0.php
* Sat Oct 18 2014 hrvoje.senjan@gmail.com
- Update to 0.9 Final:
  * Bugfixes since beta release, no upstream changelog
* Tue Sep 16 2014 hrvoje.senjan@gmail.com
- Update to 0.8.80 (0.9 beta)
  * OTR support
  * Improved group chats
  * Modernised video chats, now based on GStreamer 1.0
  * Lots of fixes and speed improvements
- Added libkdepimlibs4-devel and libkpeople-devel >= 0.3.0 BuildRequires
- Bump telepathy-qt4-devel BuildRequires to 0.9.5
* Sat Apr 26 2014 hrvoje.senjan@gmail.com
- Update to 0.8.0 final
  * New feature release, no upstream changelog
* Wed Mar 12 2014 hrvoje.senjan@gmail.com
- Update to 0.8.0.1
  * New feature release, no upstream changelog
* Tue Feb 18 2014 hrvoje.senjan@gmail.com
- Update to 0.7.80 (0.8 beta)
  * New feature release, no upstream changelog
* Wed Jan 15 2014 hrvoje.senjan@gmail.com
- Update to final 0.7.1
  * New feature release, no upstream changelog
  * For more details, see:
    http://martys.typepad.com/blog/2014/01/kde-telepathy-071-released.html
* Mon Oct 28 2013 hrvoje.senjan@gmail.com
- Update to final 0.7.0
  * New feature release, no upstream changelog
- Droped 0001-Fix-build-with-kdelibs-4.10.patch, included in this
  release
* Thu Oct 10 2013 hrvoje.senjan@gmail.com
- Always BuildRequire on latest ktp-common-internals-devel version
* Fri Sep 27 2013 hrvoje.senjan@gmail.com
- Update to version 0.6.80
  * New feature release, please see http://www.sharpley.org.uk/blog/ktp-0.7-beta
- Devel package no longer exists
- Added 0001-Fix-build-with-kdelibs-4.10.patch from upstream
* Thu Sep 19 2013 cfarrell@suse.com
- license update: GPL-2.0+
  This is a GPL package - see the COPYING and the majority of the source
  code files (even those in lib)
* Thu Aug  8 2013 hrvoje.senjan@gmail.com
- Update to version 0.6.3
  * Bugfix release, please see http://www.sharpley.org.uk/blog/ktp-0-6-3
* Sat May 25 2013 hrvoje.senjan@gmail.com
- Update to version 0.6.2
  * Bugfix release, please see http://www.sharpley.org.uk/blog/ktp-0-6-2
* Wed Apr 17 2013 alinm.elena@gmail.com
- upadted to version 0.6.1
  * Bugfix release, no changelog provided
* Tue Apr  2 2013 alinm.elena@gmail.com
- updated to 0.6.0
  * New release, please see http://www.sharpley.org.uk/blog/ktp-0-6-beta
* Thu Feb 21 2013 mlin@suse.com
- Update to 0.5.3
  * Bugfix release, please see http://www.sharpley.org.uk/blog/ktp-0-5-3
* Tue Dec 18 2012 mlin@suse.com
- Update to 0.5.2
  * Bugfix release, please see http://www.sharpley.org.uk/blog/ktp-0-5-2
* Sat Oct  6 2012 toddrme2178@gmail.com
- Update to 0.5.1
  * Bugfix release
- Fixed description and summary
* Tue Aug 28 2012 mlin@suse.com
- Update to 0.5.0
  * Implement Searchexpansion filter
  * Add links to previous and next conversations to empty logs too
  * Support message filters in log viewer
  * Show sidebar as disbabled when disconnected
  * Bugfixes
- Refresh fix_desktop.diff
* Thu Jul 26 2012 toddrme2178@gmail.com
- Update to 0.4.1
  * Bugfix release
* Mon Dec 26 2011 cgiboudeaux@gmx.com
- Rename the package
* Sat Oct 29 2011 cgiboudeaux@gmx.com
- Rename telepathy-chat-handler to telepathy-text-ui
* Tue Jan  4 2011 alinm.elena@gmail.com
- initial commit
